import { Component,  OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { DataStateChangeEventArgs } from '@syncfusion/ej2-grids';
import { OrdersService } from './order.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  public data: Observable<DataStateChangeEventArgs>;
  public pageOptions: Object;
  public state: DataStateChangeEventArgs;

  constructor( private service: OrdersService) {

      this.data = service;
  }

  public dataStateChange(state: DataStateChangeEventArgs): void {
      this.service.execute(state);
  }

  public ngOnInit(): void {
      this.pageOptions = { pageSize: 10, pageCount: 4 };
      let state = { skip: 0, take: 10 };
      this.service.execute(state);
  }
}
